Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.deployment.spi
Interface JBossTarget

All Superinterfaces:
  javax.enterprise.deploy.spi.Target

All Known Implementing Classes:
  JMXTarget, LocalhostTarget

public interface JBossTarget
extends javax.enterprise.deploy.spi.Target

A Target interface represents a single logical core server of one instance of a J2EE platform product. It is a designator for a server and the implied location to copy a configured application for the server to access.

Version:
  $Revision: 1.1.1.1 $
Author:
  thomas.diesler@jboss.org, Scott.Stark@jboss.com

Method Summary
`void` | `deploy(javax.enterprise.deploy.spi.TargetModuleID targetModuleID)` Deploy a given module
`javax.enterprise.deploy.spi.TargetModuleID[]` | `getAvailableModules(javax.enterprise.deploy.shared.ModuleType moduleType)` Retrieve the list of all J2EE application modules running or not running on the identified targets.
`String` | `getHostName()` Get the target's host name
`void` | `start(javax.enterprise.deploy.spi.TargetModuleID targetModuleID)` Start a given module
`void` | `stop(javax.enterprise.deploy.spi.TargetModuleID targetModuleID)` Stop a given module
`void` | `undeploy(javax.enterprise.deploy.spi.TargetModuleID targetModuleID)` Undeploy a given module

Methods inherited from interface javax.enterprise.deploy.spi.Target
`getDescription, getName`

Method Detail

### getHostName

    public String getHostName()

  Get the target's host name

### deploy

    public void deploy(javax.enterprise.deploy.spi.TargetModuleID targetModuleID)
                throws Exception

  Deploy a given module

  Throws:
    `Exception`

### start

    public void start(javax.enterprise.deploy.spi.TargetModuleID targetModuleID)
               throws Exception

  Start a given module

  Throws:
    `Exception`

### stop

    public void stop(javax.enterprise.deploy.spi.TargetModuleID targetModuleID)
              throws Exception

  Stop a given module

  Throws:
    `Exception`

### undeploy

    public void undeploy(javax.enterprise.deploy.spi.TargetModuleID targetModuleID)
                  throws Exception

  Undeploy a given module

  Throws:
    `Exception`

### getAvailableModules

    public javax.enterprise.deploy.spi.TargetModuleID[] getAvailableModules(javax.enterprise.deploy.shared.ModuleType moduleType)
                                                                     throws javax.enterprise.deploy.spi.exceptions.TargetException

  Retrieve the list of all J2EE application modules running or not running on the identified targets.

  Throws:
    `javax.enterprise.deploy.spi.exceptions.TargetException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.